Kullanıcı Zaman Akışını Sayfalamalı Getir
Kullanıcı Zaman Akışını Sayfalamalı Getir.
API Belgelerine Dön
/Timeline Endpoints
POST
/twitter/{screen_name}/timeline/pageAPI Yetkilendirmesi
AuthorizationBearer token · headerzorunluTwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Yol Parametreleri
screen_namestringzorunluTwitter kullanıcı adı (@ olmadan)
İstek Gövdesi
zorunluapplication/jsonnext_cursorstring | anySonraki sayfayı getirmek için kullanılan imleç (Cursor)
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anycountintegerMaximum number of tweets to return for this page.
min 1 · max 100 · default: 20
Yanıtlar
200Current page data and pagination metadata (has_next_page, next_cursor).
codeintegerHTTP durum kodu (200 başarılı anlamına gelir)
default: 200
msgstringYanıt mesajı (örn: 'success')
default: "success"
dataUserTweetItem[]zorunluUç nokta tarafından döndürülen ana veri
Özellikleri gösterÖzellikleri gizle
Array of
UserTweetItemtweet_idstringzorunluTweetin benzersiz ID'si
is_paid_promotionbooleanWhether the tweet is associated with a paid promotion
default: false
full_textstring | anyTweetin tam metni
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anycreated_atstring | anyOluşturulma zamanı (UTC)
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anylangstring | anyTweet language
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyconversation_idstring | anyConversation ID
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anybookmark_countintegerYer işareti sayısı
default: 0
favorite_countintegerBeğeni sayısı
default: 0
reply_countintegerYanıt sayısı
default: 0
retweet_countintegerRetweet sayısı
default: 0
quote_countintegerQuote count
default: 0
view_countstring | anyGörüntülenme sayısı
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyview_count_statestring | anyView count state
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyauthor_user_idstring | anyAuthor user ID
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyauthor_screen_namestring | anyYazarın Twitter kullanıcı adı (@ olmadan)
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyauthor_namestring | anyYazarın görünen adı
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyauthor_is_blue_verifiedboolean | anyBlue verification flag
Özellikleri gösterÖzellikleri gizle
Any of:
boolean
booleanany
anyauthor_verifiedboolean | anyLegacy verification flag
Özellikleri gösterÖzellikleri gizle
Any of:
boolean
booleanany
anyauthor_is_verified_organization_affiliateboolean | anyVerified organization affiliate flag
Özellikleri gösterÖzellikleri gizle
Any of:
boolean
booleanany
anyhas_next_pagebooleanzorunluSonraki sayfanın olup olmadığını belirtir
next_cursorstring | anySonraki sayfayı getirmek için kullanılan imleç (Cursor)
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyrequested_countintegerzorunluOriginal count requested by the client.
effective_countintegerzorunluCount after credit throttling was applied.
parsed_countintegerzorunluNumber of tweets actually parsed from the response.
422Parametre Doğrulama Hatası
detailValidationError[]Özellikleri gösterÖzellikleri gizle
Array of
ValidationErrorlocstring | integer[]zorunluÖzellikleri gösterÖzellikleri gizle
Array of
string | integerAny of:
string
stringinteger
integermsgstringzorunluYanıt mesajı (örn: 'success')
typestringzorunluinputanyctxobject⚡Etkileşimli KonsolPOST
⚡Etkileşimli Konsol / API TestiPOSTLive Console
🌐Hedef Sunucu:
https://api.twexapi.io● Canlı Ortam Hazır
🔍
Genel Veri Okuma (Yalnızca TwexAPI Anahtarı, Twitter Çerezi Gerekmez)
Bu uç nokta herkese açık Twitter verilerini sorgular — Twitter hesabı veya Çerez gerekmez! Test etmek için aşağıdaki "API Yetkilendirmesi"ne TwexAPI Anahtarınızı (Bearer Token) girmeniz yeterlidir.
🔑API Yetkilendirmesi
⚙️Parametreler (1)
📝İstek Gövdesiapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
İstek
curl -X POST "https://api.twexapi.io/twitter/Ian_Codes/timeline/page" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"next_cursor": "",
"count": 20
}'const response = await fetch("https://api.twexapi.io/twitter/Ian_Codes/timeline/page", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"next_cursor": "",
"count": 20
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/Ian_Codes/timeline/page",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"next_cursor": "",
"count": 20
},
)Yanıt
{
"code": 200,
"msg": "success",
"data": [
{
"tweet_id": "string",
"is_paid_promotion": false,
"full_text": "string",
"created_at": "string",
"lang": "string",
"conversation_id": "string",
"bookmark_count": 0,
"favorite_count": 0,
"reply_count": 0,
"retweet_count": 0,
"quote_count": 0,
"view_count": "string",
"view_count_state": "string",
"author_user_id": "string",
"author_screen_name": "string",
"author_name": "string",
"author_is_blue_verified": true,
"author_verified": true,
"author_is_verified_organization_affiliate": true
}
],
"has_next_page": true,
"next_cursor": "DAAHCgABHFeD5h9__-cLAAIAAAATMjAzODIzMzA5NTM4ODY4MDU5NAgAAwAAAAIAAA",
"requested_count": 0,
"effective_count": 0,
"parsed_count": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}